### R code from vignette source 'kf.Rnw'

###################################################
### code chunk number 1: kf.Rnw:54-55
###################################################
options(prompt = "R> ", continue = "+  ", width = 70, useFancyQuotes = FALSE)


###################################################
### code chunk number 2: kf.Rnw:57-58 (eval = FALSE)
###################################################
## install.packages("cts")


###################################################
### code chunk number 3: kf.Rnw:61-63 (eval = FALSE)
###################################################
## library("cts")
## vignette("kf",package = "cts")


###################################################
### code chunk number 4: kf.Rnw:66-67 (eval = FALSE)
###################################################
## edit(vignette("kf",package = "cts"))


###################################################
### code chunk number 5: kf.Rnw:76-78
###################################################
library("cts")
data("V22174")


###################################################
### code chunk number 6: kf.Rnw:84-86
###################################################
plot(V22174,type="l",xlab="Time in kiloyears", ylab="")
rug(V22174[,1], col="red")


###################################################
### code chunk number 7: kf.Rnw:91-92
###################################################
time <- system.time(V22174.car14 <- car(V22174,scale=0.2,order=14))[1]


###################################################
### code chunk number 8: kf.Rnw:96-99
###################################################
V22174.car14 <- car(V22174,scale=0.2,order=14)
tab1 <- cbind(V22174.car14$tnit, V22174.car14$ss, V22174.car14$bit[,14])
colnames(tab1) <- c("Iteration","Sum of Squares","phi_14")


###################################################
### code chunk number 9: kf.Rnw:102-103
###################################################
print(as.data.frame(round(tab1,5)),row.names=FALSE, print.gap=8)


###################################################
### code chunk number 10: kf.Rnw:107-108
###################################################
AIC(V22174.car14)


###################################################
### code chunk number 11: kf.Rnw:110-112
###################################################
V22174.car7 <- car(V22174,scale=0.2,order=7)
summary(V22174.car7)


###################################################
### code chunk number 12: kf.Rnw:118-121
###################################################
par(mfrow=c(2,1))
spectrum(V22174.car14)
spectrum(V22174.car7)


###################################################
### code chunk number 13: kf.Rnw:139-140
###################################################
tsdiag(V22174.car7)


###################################################
### code chunk number 14: kf.Rnw:149-150
###################################################
data("asth")


###################################################
### code chunk number 15: kf.Rnw:152-154 (eval = FALSE)
###################################################
## plot(asth,type="l",xlab="Time in hours", ylab="")
## rug(asth[,1], col="red")


###################################################
### code chunk number 16: kf.Rnw:159-161
###################################################
plot(asth,type="l",xlab="Time in hours", ylab="")
rug(asth[,1], col="red")


###################################################
### code chunk number 17: kf.Rnw:167-169
###################################################
asth.car4 <- car(asth,scale=0.25,order=4, ctrl=car_control(n.ahead=10))
summary(asth.car4)


###################################################
### code chunk number 18: kf.Rnw:176-177
###################################################
spectrum(asth.car4)


###################################################
### code chunk number 19: kf.Rnw:184-185
###################################################
factab(asth.car4)


###################################################
### code chunk number 20: kf.Rnw:190-195
###################################################
asth.kalsmo <- kalsmo(asth.car4)
par(mfrow=c(3,1))
kalsmoComp(asth.kalsmo,comp=1, xlab="Time in hours")
kalsmoComp(asth.kalsmo,comp=c(2,3), xlab="Time in hours")
kalsmoComp(asth.kalsmo,comp=4,xlab="Time in hours")


###################################################
### code chunk number 21: kf.Rnw:204-205
###################################################
predict(asth.car4, xlab="Time in hours")


